Security Enhanced Linux Reference Policy

# Layer: services

## Module: razor

Interfaces Templates

### Description:

A distributed, collaborative, spam detection and filtering network.

### Interfaces:

razor_domtrans( domain )

##### Summary

Execute razor in the system razor domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

razor_manage_home_content( domain )

##### Summary

Create, read, write, and delete razor home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

razor_read_lib_files( domain )

##### Summary

Read razor lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

razor_role( role , domain )

##### Summary

Role access for razor.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return

### Templates:

razor_common_domain_template( domain_prefix )

##### Summary

The template to define a razor domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return